// 11-Led.c
// gcc -Wall -o "%e" "%f" -llgpio -lpthread -g -O0 libMyPi2.a
// Geanyのオプションの"%e"は実行ファイル名, "%f"はソースファイル名のこと

#include <stdio.h>
#include <stdlib.h>     //EXIT_SUCCESS
#include <lgpio.h>      //lgGpiochipOpen,lgGpioWrite,etc
#include  "MyPi2.h"     //マイライブラリ
#define PI5     4       // /dev/gpiochip4
#define PI4B    0       // /dev/gpiochip0
#define LED1    20      //GPIO20をLED1と定義

int main(void) {
    int hnd;
    int lFlgOut=0;
    hnd = lgGpiochipOpen(PI5);
    //hnd = lgGpiochipOpen(PI4B);
    lgGpioClaimOutput(hnd,lFlgOut,LED1,LG_LOW);
    for(;;){
        lgGpioWrite(hnd,LED1,LG_HIGH);
        lguSleep(0.5);      //0.5秒待つ
        lgGpioWrite(hnd,LED1,LG_LOW);
        lguSleep(0.5);      //0.5秒待つ
    }
    lgGpiochipClose(hnd);
    return EXIT_SUCCESS;
}
