/* DataType.c */

#include <stdio.h>      //printf
#include <stdlib.h>     //EXIT_SUCCESS
#include <limits.h>     //UCHAR_MAX,USHRT_MAX,UINT_MAX,ULONG_MAX,ULLONG_MAX,etc
#include <float.h>      //FLT_MAX,DBL_MAX,LDBL_MAX,etc

int main (void)
{
    printf("%s %d %zubyte\n", "char型の最大値", UCHAR_MAX, sizeof(char));
    printf("%s %d %zubyte\n", "signed char型の最小値", SCHAR_MIN, sizeof(signed char));
    printf("%s %d %zubyte\n\n", "signed char型の最大値", SCHAR_MAX, sizeof(signed char));

    printf("%s %d %zubyte\n", "unsigned short型の最大値", USHRT_MAX, sizeof(unsigned short));
    printf("%s %d %zubyte\n", "short型の最小値", SHRT_MIN, sizeof(short));
    printf("%s %d %zubyte\n\n", "short型の最大値", SHRT_MAX, sizeof(short));

    printf("%s %u %zubyte\n", "unsigned int型の最大値", UINT_MAX, sizeof(unsigned int));
    printf("%s %d %zubyte\n", "int型の最小値", INT_MIN, sizeof(int));
    printf("%s %d %zubyte\n\n", "int型の最大値", INT_MAX, sizeof(int));

    printf("%s %lu %zubyte\n", "unsigned long型の最大値", ULONG_MAX, sizeof(unsigned long));
    printf("%s %ld %zubyte\n", "long型の最小値", LONG_MIN, sizeof(long));
    printf("%s %ld %zubyte\n\n", "long型の最大値", LONG_MAX, sizeof(long));

    printf("%s %llu %zubyte\n", "unsigned long long型の最大値", ULLONG_MAX, sizeof(unsigned long long));
    printf("%s %lld %zubyte\n", "long long型の最小値", LLONG_MIN, sizeof(long long));
    printf("%s %lld %zubyte\n\n", "long long型の最大値", LLONG_MAX, sizeof(long long));

    printf("%s %g %zubyte\n", "float型の最小値", FLT_MIN, sizeof(float));
    printf("%s %g %zubyte\n\n", "float型の最大値", FLT_MAX, sizeof(float));

    printf("%s %g %zubyte\n", "double型の最小値", DBL_MIN, sizeof(double));
    printf("%s %g %zubyte\n\n", "double型の最大値", DBL_MAX, sizeof(double));

    printf("%s %Lg %zubyte\n", "long double型の最小値", LDBL_MIN, sizeof(long double));
    printf("%s %Lg %zubyte\n", "long double型の最大値", LDBL_MAX, sizeof(long double));

    return EXIT_SUCCESS;
}

