// 4-Led01.c
// gcc -Wall -o "%e" "%f" -llgpio -lpthread -g -O0
// Geanyのオプションの"%e"は実行ファイル名, "%f"はソースファイル名のこと

#include <stdio.h>
#include <stdlib.h>     //EXIT_SUCCESS
#include <lgpio.h>      //lgGpiochipOpen,lgGpioWrite,etc
#define PI5     4       // /dev/gpiochip4
#define PI4B    0       // /dev/gpiochip0
#define LED0    23      //GPIO23をLED0と定義

int main(void) {
    int hnd;
    int lFlgOut=0;
    hnd = lgGpiochipOpen(PI5);      //PI4Bの場合、この行をコメントアウト
    //hnd = lgGpiochipOpen(PI4B);   //PI4Bの場合、この行のコメントを解除
    lgGpioClaimOutput(hnd,lFlgOut,LED0,LG_LOW);
    for(;;){
        lgGpioWrite(hnd,LED0,LG_HIGH);
        lguSleep(0.5);      //0.5秒時間待ち
        lgGpioWrite(hnd,LED0,LG_LOW);
        lguSleep(0.5);      //0.5秒時間待ち
    }
    lgGpiochipClose(hnd);
    return EXIT_SUCCESS;
}
