// 5-Sw01.c
// gcc -Wall -o "%e" "%f" -llgpio -lpthread -g -O0
// Geanyのオプションの"%e"は実行ファイル名, "%f"はソースファイル名のこと

#include <stdio.h>
#include <stdlib.h>     //EXIT_SUCCESS
#include <unistd.h>     //usleep
#include <lgpio.h>      //lgGpiochipOpen,lgGpioRead,etc
#define PI5     4       // /dev/gpiochip4
#define PI4B    0       // /dev/gpiochip0
#define LED0    23      //GPIO23をLED0と定義
#define SW0     4       //GPIO4をSW0と定義

int main (void){
    int hnd;
    int lFlgOut=0;
    int lFlgIn=0;
    hnd = lgGpiochipOpen(PI5);
    //hnd = lgGpiochipOpen(PI4B);
    lgGpioClaimOutput(hnd,lFlgOut,LED0,LG_LOW); //LED0を出力に設定
    lgGpioClaimInput(hnd,lFlgIn,SW0);           //SW0を入力に設定

    while(1){
        if(lgGpioRead(hnd, SW0)==LG_HIGH){ //SW0から値を取得
            lgGpioWrite(hnd,LED0,LG_HIGH); //SW0がHIGHならLED0を点灯
        }else{
            lgGpioWrite(hnd,LED0,LG_LOW);  //SW0がLOWならLED0を消灯
        }
        usleep(1000);                      //CPU使用率の抑制のため 1ms
    }
    lgGpiochipClose(hnd);
    return EXIT_SUCCESS;
}
